# class KServiceTypeFactory | More...
Internal Use Only
Definition | `#include <kservicetypefactory.h>`
Inherits | KSycocaFactory [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KServiceTypeFactory ()
- virtual ~KServiceTypeFactory ()
- virtual KSycocaEntry * createEntry (const QString &, const char *)
- virtual KServiceType * findServiceTypeByName (const QString &_name)
- KMimeType * findFromPattern (const QString &_filename)
- KMimeType::List allMimeTypes ()
- KServiceType::List allServiceTypes ()
- bool checkMimeTypes ()

#### Public Static Methods

- static KServiceTypeFactory * self ()

#### Protected Methods

- virtual KServiceType * createEntry (int offset)

#### Protected Members

- int m_fastPatternOffset
- int m_otherPatternOffset

## Detailed Description

A sycoca factory for service types (e.g. mimetypes) It loads the service types from parsing directories (e.g. mimelnk/) but can also create service types from data streams or single config files

KServiceTypeFactory () | ### KServiceTypeFactory

Create factory

~KServiceTypeFactory () | ### ~KServiceTypeFactory

[virtual]

KSycocaEntry * createEntry (const QString &, const char *) | ### createEntry

[virtual]

Not meant to be called at this level

Reimplemented from KSycocaFactory.

KServiceType * findServiceTypeByName (const QString &_name) | ### findServiceTypeByName

[virtual]

Find a service type in the database file (allocates it) Overloaded by KBuildServiceTypeFactory to return a memory one.

KMimeType * findFromPattern (const QString &_filename) | ### findFromPattern

Find a mimetype from a filename (using the pattern list)

KMimeType::List allMimeTypes () | ### allMimeTypes

Returns: all mimetypes Slow and memory consuming, avoid using

KServiceType::List allServiceTypes () | ### allServiceTypes

Returns: all servicetypes Slow and memory consuming, avoid using

bool checkMimeTypes () | ### checkMimeTypes

Returns: true if at least one mimetype is present Safety test

KServiceTypeFactory * self () | ### self

[static]

Returns: the unique servicetype factory, creating it if necessary

KServiceType * createEntry (int offset) | ### createEntry

[protected virtual]

Reimplemented from KSycocaFactory.

int m_fastPatternOffset | ### m_fastPatternOffset

[protected]

int m_otherPatternOffset | ### m_otherPatternOffset

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.